using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    public class LocationResponseProtocol : EleMedKitProtocol
    {
        public LocationResponseProtocol()
        {
            base.Command = EleMedKitCommand.RequestLocation;
            CountFlag = 1.ToString();
        }
        /// <summary>
        /// 获取或设置科室编号
        /// </summary>
        public string? SectionCode { get; set; }
        public override string GetContent()
        {
            return base.GetContent()
                + AddLineContent(EleMedKitProtocolHelper.BuildLinePadContent(SectionCode))
                + AddLineContent(CountFlag);
        }
    }
}
